///////////////////////////////////////////////////////////////////////////////
// Name:        XercesCDependent/swXMLChStr.cpp
// Author:      Reinhold Freder
// Created:     2004
// Copyright:   (c) 2005 Reinhold Freder
// Licence:     wxWindows licence
///////////////////////////////////////////////////////////////////////////////

#ifdef __GNUG__
    #pragma implementation "swXMLChStr.h"
#endif

#include "swXMLChStr.h"

#include "xercesc/util/XMLString.hpp"

namespace sw {


XMLChStr::XMLChStr (const char * const toTranscode)
{
    m_unicodeForm = xercesc::XMLString::transcode (toTranscode);
    m_charForm = NULL;
}


XMLChStr::XMLChStr (const XMLCh * const toTranscode)
{
    m_unicodeForm = NULL;
    m_charForm = xercesc::XMLString::transcode (toTranscode);
}


XMLChStr::~XMLChStr ()
{
    if (m_unicodeForm != NULL) {

        xercesc::XMLString::release (&m_unicodeForm);
    }
    if (m_charForm != NULL) {

        xercesc::XMLString::release (&m_charForm);
    }
}


const XMLCh * XMLChStr::UnicodeForm () const
{
    return m_unicodeForm;
}


const char * XMLChStr::CharForm () const
{
    return m_charForm;
}

} // End namespace sw

