///////////////////////////////////////////////////////////////////////////////
// Name:        swWxGuiTesting/CppTest/swCRCppEmitterTest.cpp
// Author:      Reinhold Freder
// Created:     2004
// Copyright:   (c) 2005 Reinhold Freder
// Licence:     wxWindows licence
///////////////////////////////////////////////////////////////////////////////

#ifdef __GNUG__
    #pragma implementation "swCRCppEmitterTest.h"
#endif

#include "swCRCppEmitterTest.h"

#include "swCRCppEmitter.h"

namespace swTst {


// Register test suite:
CPPUNIT_TEST_SUITE_REGISTRATION( CRCppEmitterTest );


void CRCppEmitterTest::setUp ()
{
    // Nothing to do
}


void CRCppEmitterTest::tearDown ()
{
    // Nothing to do
}


void CRCppEmitterTest::testExample ()
{
    char *filename = "../../../Cxx/swWxGuiTesting/CppGuiTest/swCRCaptureTest.cpp";

    CRCppEmitter *emitter = CRCppEmitter::GetInstance ();
    CPPUNIT_ASSERT_MESSAGE ("No emitter returned", emitter != NULL);
    emitter->SetTestCaseFileContext (filename);

    emitter->AddComment ("Short comment");
    emitter->AddComment ("Thisisaveryveryverylongcommentexceedingthe80characterslinelengtheasilyMoreoveritcontainsnoblankswhichmightbeslightlydump");
    emitter->AddComment ("This is a very, very, very long comment exceeding the 80 characters line length easily. Moreover it contains a, range,special!characters?a.b,c?d!e:f.g,checking: the. correct, line? break.");

    emitter->AddCode ("Method (\"This is a very, very, very long comment exceeding the 80 characters line length easily. Moreover it contains a, range,special!characters?a.b,c?d!e:f.g,checking: the. correct, line? break.\")");

    CRCppEmitter::Destroy ();
}

} // End namespace swTst

