///////////////////////////////////////////////////////////////////////////////
// Name:        swWxGuiTesting/swCRCaptureControl.cpp
// Author:      Reinhold Freder
// Created:     2004
// Copyright:   (c) 2005 Reinhold Freder
// Licence:     wxWindows licence
///////////////////////////////////////////////////////////////////////////////

#ifdef __GNUG__
    #pragma implementation "swCRCaptureControl.h"
#endif

#include "swCRCaptureControl.h"

#include "wx/xrc/xmlres.h"

#include "swWxGuiTestHelper.h"
#include "swCREventCaptureManager.h"
#include "swCRCppEmitter.h"

BEGIN_EVENT_TABLE(swTst::CRCaptureControl, wxEvtHandler)
    EVT_BUTTON( XRCID("StartButton"), CRCaptureControl::OnStart )
    EVT_BUTTON( XRCID("StopButton"), CRCaptureControl::OnStop )
    EVT_BUTTON( XRCID("CommentButton"), CRCaptureControl::OnAddComment )
    EVT_BUTTON( XRCID("ExitButton"), CRCaptureControl::OnExit )
    EVT_CLOSE ( CRCaptureControl::OnExit )
END_EVENT_TABLE()

namespace swTst {


CRCaptureControl::CRCaptureControl (wxDialog *dialog)
{
    m_dialog = dialog;
}


CRCaptureControl::~CRCaptureControl ()
{
    // Nothing to do; m_dialog is deleted elsewhere
}


void CRCaptureControl::OnStart (wxCommandEvent &event)
{
    CREventCaptureManager::GetInstance ()->On ();
}


void CRCaptureControl::OnStop (wxCommandEvent &event)
{
    CREventCaptureManager::GetInstance ()->Off ();
}


void CRCaptureControl::OnAddComment (wxCommandEvent &event)
{
    wxTextCtrl *commentTextCtrl = XRCCTRL (*m_dialog, "CommentTextCtrl",
            wxTextCtrl);
    wxASSERT (commentTextCtrl != NULL);

    if (!commentTextCtrl->GetValue ().IsEmpty ()) {

        CRCppEmitter::GetInstance ()->AddComment (commentTextCtrl->GetValue ());
    }
}


void CRCaptureControl::OnExit (wxCommandEvent &event)
{
    CREventCaptureManager::GetInstance ()->Off ();

    m_dialog->Hide ();
    // Just exiting the main loop won't hide the dialog directly, so flushing
    // the event queue is better -- all flags are restored correctly:
#ifdef __WXGTK__
    wxTheApp->ExitMainLoop ();
#else
    WxGuiTestHelper::FlushEventQueue ();
#endif
}

} // End namespace swTst
