///////////////////////////////////////////////////////////////////////////////
// Name:        swWxGuiTesting/swWxGuiTestTempInteractiveControl.cpp
// Author:      Reinhold Freder
// Created:     2004
// Copyright:   (c) 2005 Reinhold Freder
// Licence:     wxWindows licence
///////////////////////////////////////////////////////////////////////////////

#ifdef __GNUG__
    #pragma implementation "swWxGuiTestTempInteractiveControl.h"
#endif

#include "swWxGuiTestTempInteractiveControl.h"

#include "swWxGuiTestHelper.h"

BEGIN_EVENT_TABLE(swTst::WxGuiTestTempInteractiveControl, wxEvtHandler)
    EVT_BUTTON( -1, WxGuiTestTempInteractiveControl::OnOK )
    EVT_CLOSE ( WxGuiTestTempInteractiveControl::OnOK )
END_EVENT_TABLE()

namespace swTst {


WxGuiTestTempInteractiveControl::WxGuiTestTempInteractiveControl (
        wxDialog *dialog)
{
    m_dialog = dialog;
}


WxGuiTestTempInteractiveControl::~WxGuiTestTempInteractiveControl ()
{
    // Nothing to do; m_dialog is deleted elsewhere
}


void WxGuiTestTempInteractiveControl::OnOK (wxCommandEvent &event)
{
    m_dialog->Hide ();
    // Just exiting the main loop won't hide the dialog directly, so flushing
    // the event queue is better -- all flags are restored correctly:
#ifdef __WXGTK__
    wxTheApp->ExitMainLoop ();
#else
    WxGuiTestHelper::FlushEventQueue ();
#endif
}

} // End namespace swTst
